function Block(params){
    Block.counter++;
    this.id = Block.counter;
    this.params = params;
    this.templates = {
        block: '<div id="block-{id}" class="block {class}">'+
                    '<iframe class="blockResize"></iframe>'+
                    '<h3>{title}</h3>'+
                    '<div class="block-content">{content}</div>'+
                '</div>',
        actionsBlock: '<div class="action-events">{actions}</div>',
        actionsItem: '<div class="action" ><a href="#" class="link" data-action="{dataAction}">{action}</a></div>'
    };
    this.getHTML = function(){
        var o = this,
            block = '';
        block += this.templates.block.format({
            id: this.id,
            class: this.params.class ? this.params.class : '',
            title: this.params.title ? this.params.title : '',
            content: this.params.content ? this.params.content : ''
        });
        return block;
    };
}
Block.counter = 0;
